/***************************************************************************
 *   Copyright (C) 2007  Antony Martin <martin.antony@yahoo.fr>            *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or         *
 *   modify it under the terms of the GNU General Public License           *
 *   as published by the Free Software Foundation; either version 2        *
 *   of the License, or (at your option) any later version.                *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA          *
 ***************************************************************************/

/* Cree le : 22 decembre 2006
   derniere modification le 22/09/2007 */


#ifndef __SCEMATH_H__
#define __SCEMATH_H__

#include <math.h>

/* PI */
#ifndef M_PI
 #define M_PI 3.14159265358979323846
#endif

/* radian */
#ifndef RAD
 #define RAD 0.0174532925
#endif


/* calcul la racine carree d'un nombre */
float SCE_Math_Sqrt(float);

/* calcul l'inverse de la racine carree d'un nombre */
float SCE_Math_InvSqrt(float);

/* renvoie un entier puissance n */
int SCE_Math_Powi (int, unsigned int);

/* fonction renvoyant le nombre de la puissance de 2 a utiliser pour obtenir
   le chiffre donne en parametre.
   la fonction renvoie 0 si le nombre n'est pas un nombre puissance de 2 */
int SCE_Math_PowerOfTwo (int);

#endif /* guard */
